@media screen and (min-width: 428px) {
  .container {
    max-width: 428px;
  }
  .mob-menu-list {
    gap: 40px;
  }
}

@media screen and (min-width: 768px) {
  .container {
    max-width: 945px;
    padding-left: 30px;
    padding-right: 30px;
  }
  .seagull-logo {
    width: 50px;
    height: 50px;
  }
  .hamburder-btn {
    display: none;
  }
  .my-photo {
    width: 300px;
    height: 300px;
  }
  .title {
    padding-top: 0;
    font-size: 40px;
  }
  .hero-text {
    font-size: 25px;
  }
  .helo-little-text {
    font-size: 12px;
  }
  .main-container {
    padding-left: 40px;
    padding-right: 40px;

    justify-content: center;
  }

  .nav-menu {
    display: flex;
    gap: 20px;
  }
  .nav-menu-item {
    position: relative;
    color: var(--text-color);
    font-size: 20px;
    padding: 5px 10px;
    font-weight: 400;
    line-height: 1.5;
    letter-spacing: 0.02em;
    text-align: center;
    cursor: pointer;
    transition: color, border 200ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .nav-menu-item:hover:after {
    content: "";
    position: absolute;
    width: 70%;
    height: 4px;
    border-radius: 2px;
    bottom: -1px;
    background-color: var(--active-link-color);
    left: 16px;
    opacity: 0.1;
  }

  .current {
    border: 2px solid var(--active-link-color);
    border-radius: 30px;
    box-shadow: darkgray;
  }
  .footer-container {
    flex-direction: row;
    justify-content: space-between;
  }
  .footer-social-icons {
    margin: 0;
  }
  .footer-contacts {
    display: flex;
    gap: 30px;
    align-items: center;
  }
  .phone-futer-svg {
    fill: var(--text-color);
    transition: fill 150ms cubic-bezier(0.4, 0, 0.2, 1),
      width 150ms cubic-bezier(0.4, 0, 0.2, 1),
      height 150ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .phone-futer-svg:hover {
    fill: var(--active-link-color);
    width: 35px;
    height: 35px;
  }
  .contact-text {
    display: none;
  }
  .about-section {
    position: relative;
  }
  .about-me-photo {
    display: block;
    width: 60px;
    height: 60px;
  }
  .hard-skills {
    gap: 25px;
  }
  .skill-svg {
    width: 45px;
    height: 45px;
  }
}

@media screen and (min-width: 946px) {
  .container {
    max-width: 1158px;
  }
  .seagull-logo {
    width: 50px;
    height: 50px;
  }

  .nav-menu-item: {
    border-bottom: 1px;
  }

  .current {
    border-bottom: 1px;
  }

  .main-section {
    flex-direction: column;
    justify-content: space-between;
    margin-top: 40px;
    min-height: 100%;
  }
  .contact-text {
    display: inline-flex;
    color: var(--text-color);
    cursor: pointer;
    margin-left: 10px;
    font-size: 17px;
    border: none;
    transition: color, border 150ms cubic-bezier(0.4, 0, 0.2, 1),
      width 150ms cubic-bezier(0.4, 0, 0.2, 1),
      height 150ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .phone-futer-svg {
    height: 15px;
    width: 15px;
  }
  .footer-text {
    display: flex;
  }
  .phone-futer-svg:hover {
    fill: var(--active-link-color);
    width: 15px;
    height: 15px;
  }

  a:hover .contact-text {
    color: var(--active-link-color);
    border-bottom: 1px solid;
  }
  a:hover .phone-futer-svg {
    fill: var(--active-link-color);
    width: 20px;
    height: 20px;
  }

  .about-section {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: center;
  }
  .about-me-photo {
    height: 100%;
    width: 100%;
  }
  .direction-main {
    flex-direction: row;
    justify-content: space-between;
  }
  .main-title-wrap {
    position: relative;
    justify-content: end;
    bottom: -70px;
  }
  .hard-skills {
    gap: 30px;
  }
  .skill-svg {
    width: 50px;
    height: 50px;
  }
  .skills {
    gap: 50px;
  }
}
